[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Trying for X 4.0 on potato - again

On Thu, 31 May 2001 18:41:17 MRZ wrote:
> Wow, seems like I'm alone in the problems I'm having with
> this- hopefully someone might recognize an answer to one of these..

Ok, I'm finally catching up with work. Here's what I did step
by step to get XFree86 4.0.3 working with Potato 2.2r3.

First off, I installed the following lines in my /etc/apt/
# Debian GNU/Linux 2.2 - XFree86 Version 4.0.3
deb http://people.debian.org/~cpbotha/ xf403_potato/all/
deb http://people.debian.org/~cpbotha/ xf403_potato/i386/

Next I did a apt-get update and then a apt-get dist-upgrade.
Then I typed startx and the file was gone, poof!, and MIA. ;)

During the apt-get dist-upgrade I did catch some message
about some dependency issue.  So..., next I found out that
I needed the package called "libfreetype6", which is
available via http://people.debian.org/~cpbotha.  I just
downloaded the .deb file via lynx and ran dpkg -i on it.

Then after the dependency issues were fixed, I discovered
that the xbase-clients package never was installed. (the
one fixing my startx missing buglet)  So I did a apt-get
install on that package and was all set.

When you install the xbase-clients package it will prompt
ya for creating a new XF86Config-4 file that will be in
the /etc/X11 directory.  I had to tweak mine slightly
but that's about normal.

Hope this helps!

I used up all my sick days, so I'm calling in dead.

Reply to: